"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-39/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916A60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916AF0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916B80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916C10>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916CA0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916D30>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916DC0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916E50>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916EE0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17916F70>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E0D0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E160>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E1F0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E280>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E310>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E3A0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E430>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E4C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E550>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E5E0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E670>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E700>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E790>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E8B0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E820>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E940>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791E9D0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EA60>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EAF0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EB80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EC10>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791ECA0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791ED30>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EDC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EE50>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EEE0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791EF70>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F0D0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F160>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F1F0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F280>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F310>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F3A0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F430>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F4C0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F550>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F5E0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F670>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F700>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F790>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F820>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F8B0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F940>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791F9D0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FA60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FAF0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FB80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FC10>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FCA0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FD30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FDC0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FE50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FEE0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179240D0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB1791FF70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924160>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179241F0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924280>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924310>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179243A0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179244C0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924430>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924550>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179245E0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924670>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924790>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924700>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924820>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179248B0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924940>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB179249D0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924A60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001EB17924AF0>)]
name: str = 'fr_HOCCN'
